import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import BaseRouter from './BaseRouter';
import { RouterHandlerType } from '../types/TRouter';
export type controllerResultType = APIGatewayProxyResult;
export type HandlerResultType = Promise<controllerResultType>;
export type HandlerType = (event: APIGatewayProxyEvent, context: Context) => HandlerResultType;
export default class AwsProxyRouter extends BaseRouter<HandlerType, HandlerResultType> {
    lookup(receivedMethod: string, receivedPath: string): RouterHandlerType<HandlerType, HandlerResultType>;
    expose(): HandlerType;
}
